@import url(https://fonts.bunny.net/css?family=anonymous-pro:400,400i,700,700i|baskervville:400i);
@font-face {
  font-family: "PlayerSansMono";
  src: url("../../../fonts/PlayerSansMono8x8-Italic.woff2") format("woff2");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

:root {
  --monochrome-accent: rgb(196, 73, 24);
  /* --monochrome-accent: rgb(196, 127, 24); */
  --monochrome-font-color: hsl(36, 35%, 17%);
  --monochrome-bg-color: hsl(48, 85%, 89%);
  --monochrome-second-bg: hsl(48, 50%, 83%);
  --monochrome-main-font: 'Anonymous Pro', monospace;
  --monochrome-accent-font: "PlayerSansMono", monospace;
  --monochrome-third-font: 'Baskervville', serif;

  --monochrome-book-color: hsl(42, 81%, 64%);
  --monochrome-movie-color: hsl(31, 56%, 55%);
  --monochrome-graphic-color: hsl(40, 58%, 32%);
  --monochrome-show-color: hsl(104, 14%, 67%);
}

*,
*:before,
*:after {
    box-sizing: inherit;
    scrollbar-color: var(--monochrome-accent), var(--monochrome-bg-color);
    scrollbar-width: thin;
  }
  
  body {
  scrollbar-color: var(--monochrome-accent), var(--monochrome-bg-color);
  background-color: var(--monochrome-bg-color);
  color: var(--monochrome-font-color);
}

/*--- RESTYLE NAVIGATION ---*/
#mainNav {
  background-color: var(--monochrome-bg-color);
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  border-bottom: var(--monochrome-font-color) 1px dashed;
}

#mainNav * {
  background-color: var(--monochrome-bg-color);
  font-family: var(--monochrome-main-font);
  font-size: .5rem;
  text-transform: uppercase;
  line-height: .5rem;
}

#mainNav > ul > a > li {
  background-color: var(--monochrome-bg-color);
  color: var(--monochrome-font-color);
}

#mainNav > ul > a > li:hover {
  color: var(--monochrome-accent);
}

#mainNav > ul > a > ul > a > li {
  color: var(--monochrome-accent);
  text-decoration-color: var(--monochrome-accent);
}

/*---- MAIN STYLING ----*/
main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--monochrome-font-color);
  font-family: var(--monochrome-main-font);
}

#header {
  padding: 5rem;
  color: var(--monochrome-accent);
}

hr {
  border: none;
  border-bottom: var(--monochrome-font-color) 1px dashed;
  width: 100%;
}

/*--- QUOTE and DATE ---*/
#container1 {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding: 0 1rem;
}

#quote {
  align-self: flex-start;
  width: 20rem;
  font-size: .5rem;
  font-style: italic;
}

#quote em, #date em {
  display: block;
  text-transform: uppercase;
  font-style: normal;
  padding-left: .5rem;
  color: var(--monochrome-accent);
}

#date {
  text-align: right;
  font-size: .5rem
}

/*--- DESCRIPTION ---*/
#desc {
  width: 45%;
  min-width: 20rem;
  font-size: .7rem;
  font-family: var(--monochrome-third-font);
  margin: 5rem;
}

#desc em {
  color: var(--monochrome-accent);
}

/*---- GOALS ----*/
#goals {
  font-family: var(--monochrome-accent-font);
  padding: 0 2rem;
  display: flex;
  /* justify-content: space-between; */
  gap: 3rem;
  width: 100%;
  flex-wrap: wrap;
}

#goals > * {
  flex: 1;
}

.goalLine {
  /* border: 1px dashed var(--monochrome-font-color); */
  /* border: none; */
  background-color: var(--monochrome-second-bg);
  border-radius: 1rem;
  overflow: hidden;
  min-width: 8rem;
}

.goal h1 {
  font-size: .6rem;
  margin: .2rem;
}

.progress {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: .2rem;
}

.progress h3 {
  margin: 0;
  font-size: .5rem;
  font-family: var(--monochrome-main-font);
}

#goalsContent {
  display: flex;
  justify-content: center;
}

#book, #movie, #graphic, #show {
  background-color: var(--monochrome-accent);
}

.book, .movie, .graphic, .show {
  border-bottom-color: var(--monochrome-accent);
  color: var(--monochrome-accent);
}

/*--- COLLECTION STYLE ---*/
h1 {
  font-family: var(--monochrome-accent-font);
  font-size: .9rem;
}

.collection {
  width: 50%;
  min-width: 25rem;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(4rem, 1fr));
  gap: .5rem;
  padding: 1rem;
}

.item {
  position: relative;
  width: 100%;
  height: 6.5rem;
  transition: all 0.2s ease-in-out;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  border-radius: 0rem;
  opacity: 85%;
}

.filter {
  width: 100%;
  height: 100%;
  background-color: var(--monochrome-accent);
  opacity: 100%;
  mix-blend-mode: color;
  position: absolute;
  top: 0;
  z-index: 1;
}

.statusBox {
  width: 100%;
  background-color: var(--monochrome-second-bg);
  height: 0.4rem;
  position: absolute;
  bottom: 0;
  box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  -webkit-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  -moz-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.8);
  z-index: 2;
}

.status {
  height: 1rem;
  background-color: var(--monochrome-accent);
}

.ratingBox {
  font-family: var(--monochrome-accent-font);
  background-color: var(--monochrome-bg-color);
  width: fit-content;
  padding: .1rem 0.3rem 0.1rem 0.2rem;
  border-radius: 0 0 .2rem .2rem;
  font-size: 0.35rem;
  font-weight: bold;
  margin-left: 0.2rem;
  position: relative;
  z-index: 2;
}

.hidden {
  display: none;
}

.clickable {
  cursor: pointer;
}

.clickable:hover {
  transform: scale(1.1);
  opacity: 100%;
}

/*---- POP UP ----*/
dialog h2 {
  width: 100%;
  text-transform: uppercase;
  font-family: var(--monochrome-third-font);
}

dialog {
  border: none;
  padding: 0;
  background-color: var(--monochrome-bg-color);
  width: 35%;
  min-width: 25rem;
  border-radius: .3rem;
  overflow: hidden;
  box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
  -webkit-box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
  -moz-box-shadow: 0px 0px 6px 0px rgba(59, 48, 28, 0.1);
}

.popUpMain {
  display: flex;
  justify-content: space-between;
}

dialog img,
.popUpContent {
  max-height: 12rem;
}

dialog .popUpContent {
  flex-grow: 1;
  padding: 1rem;
}

dialog .popUpContent {
  overflow-y: auto;
}

dialog h2 {
  font-size: .9rem;
}

dialog p {
  margin: .5rem auto;
  text-align: justify;
  text-transform: none;
  font-family: var(--monochrome-main-font);
  font-size: .5rem;
  color: var(--monochrome-font-color);
}

.closeBtn {
  border-radius: 100%;
  position: absolute;
  top: 0;
  right: 0;
  margin: 0.5rem;
  aspect-ratio: 1 / 1;
  padding: 0.5rem;
  background-color: var(--monochrome-accent);
  opacity: 0.5;
  border: none;
}

.closeBtn:hover {
  opacity: 1;
  cursor: pointer;
}